curl --request POST \
--url https://api-{region}.sesametime.com/recruitment/v1/candidates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"linkedInURL": "<string>",
"desiredSalary": "<string>",
"startWorkDate": "2025-12-01",
"web": "<string>",
"location": "<string>",
"vacancyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": "<string>",
"comment": "<string>",
"referralName": "<string>",
"acceptPool": false,
"checkPolicyPrivacy": false,
"appliedAt": "2025-12-01"
}
'import requests
url = "https://api-{region}.sesametime.com/recruitment/v1/candidates"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"linkedInURL": "<string>",
"desiredSalary": "<string>",
"startWorkDate": "2025-12-01",
"web": "<string>",
"location": "<string>",
"vacancyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": "<string>",
"comment": "<string>",
"referralName": "<string>",
"acceptPool": False,
"checkPolicyPrivacy": False,
"appliedAt": "2025-12-01"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
phone: '<string>',
email: 'jsmith@example.com',
linkedInURL: '<string>',
desiredSalary: '<string>',
startWorkDate: '2025-12-01',
web: '<string>',
location: '<string>',
vacancyId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
statusId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
address: '<string>',
comment: '<string>',
referralName: '<string>',
acceptPool: false,
checkPolicyPrivacy: false,
appliedAt: '2025-12-01'
})
};
fetch('https://api-{region}.sesametime.com/recruitment/v1/candidates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vacancy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"contractType": "<string>",
"experience": "<string>",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"openedAt": "2020-01-01T10:00:00+01:00",
"createdAt": "2020-01-01T10:00:00+01:00",
"updatedAt": "2020-01-01T10:00:00+01:00",
"public": true,
"locationVacancy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "2020-01-01T10:00:00+01:00"
},
"scheduleType": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "2020-01-01T10:00:00+01:00"
},
"category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "2020-01-01T10:00:00+01:00"
},
"officeIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"departmentIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"evaluationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"vacancyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>",
"type": "<string>",
"statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order": 123,
"createdAt": "2020-01-01T10:00:00+01:00",
"updatedAt": "2020-01-01T10:00:00+01:00",
"vacancyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"linkedInURL": "<string>",
"desiredSalary": "<string>",
"startWorkDate": "2020-01-01T10:00:00+01:00",
"evaluation": 123,
"web": "<string>",
"location": "<string>",
"hasDocument": true,
"comment": "<string>",
"appliedAt": "2020-01-01T10:00:00+01:00",
"threadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastComment": {},
"numComments": 123,
"imageProfileURL": "<string>",
"checklist": {},
"createdAt": "2020-01-01T10:00:00+01:00",
"updatedAt": "2020-01-01T10:00:00+01:00",
"employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"acceptPool": true,
"checkPolicyPrivacy": true
},
"meta": {
"currentPage": 1,
"lastPage": 1,
"total": 1,
"perPage": 1
}
}Create a candidate
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Candidate object that needs to be created
The first name of the candidate
The last name of the candidate
The phone number of the candidate
The LinkedIn URL of the candidate
The desired salary of the candidate
The start work date of the candidate
"2025-12-01"
The web of the candidate
The location of the candidate
The identifier of the vacancy where the candidate will be added
The identifier of the status of the candidate
The address of the candidate
The description of the candidate
The gender of the candidate
male, female, non_binary_gender, no_response The referral source of the candidate
customer, employee, friendEmployee, other, socialMedia The name of the person who referred the candidate
Whether the candidate accepts to be in the pool
Whether the candidate has accepted the privacy policy
The date of the application
"2025-12-01"
Was this page helpful?